org.minidns.record

## Class AAAA

- java.lang.Object
- - org.minidns.record.Data
  - - org.minidns.record.InternetAddressRR<Inet6Address>
    - - org.minidns.record.AAAA

-     public class AAAA
      extends InternetAddressRR<Inet6Address>

  DNS AAAA record payload representing an IPv6 address.
  Maps a domain name to an IPv6 address, the IPv6 equivalent of A records.

- - ### Field Summary

    - ### Fields inherited from class org.minidns.record.InternetAddressRR

      `ip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AAAA(byte[] ip)` Create AAAA record from byte array.
    `AAAA(CharSequence ipv6CharSequence)` Create AAAA record from character sequence.
    `AAAA(Inet6Address inet6address)` Create AAAA record from IPv6 address.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Record.TYPE` | `getType()` The payload type.
    `static AAAA` | `parse(DataInputStream dis)` Parse AAAA record from data input stream.
    `String` | `toString()`

    - ### Methods inherited from class org.minidns.record.InternetAddressRR

      `from, getInetAddress, getIp, serialize`

    - ### Methods inherited from class org.minidns.record.Data

      `equals, hashCode, length, toByteArray, toOutputStream, toOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AAAA

          public AAAA(byte[] ip)

      Create AAAA record from byte array.
      Parameters:
        `ip` - byte array containing IPv6 address (must be 16 bytes)

    - #### AAAA

          public AAAA(CharSequence ipv6CharSequence)

      Create AAAA record from character sequence.
      Parameters:
        `ipv6CharSequence` - character sequence containing IPv6 address

    - #### AAAA

          public AAAA(Inet6Address inet6address)

      Create AAAA record from IPv6 address.
      Parameters:
        `inet6address` - IPv6 address

  - ### Method Detail

    - #### getType

          public Record.TYPE getType()

      Description copied from class: `Data`
      The payload type.
      Specified by:
        `getType` in class `Data`
      Returns:
        The payload type.

    - #### parse

          public static AAAA parse(DataInputStream dis)
                            throws IOException

      Parse AAAA record from data input stream.
      Parameters:
        `dis` - data input stream to read from
      Returns:
        parsed AAAA record
      Throws:
        `IOException` - if I/O error occurs

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`